unit CalBrows;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Grids, Calendar, StdCtrls, Buttons;

type
  TCalendarBrowser = class(TForm)
    Calendar1: TCalendar;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    procedure Calendar1Change(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CalendarBrowser: TCalendarBrowser;

implementation

{$R *.DFM}

procedure TCalendarBrowser.Calendar1Change(Sender: TObject);
begin
  Caption := FormatDateTime('mmmm d, yyyy', Calendar1.CalendarDate);
end;

procedure TCalendarBrowser.BitBtn4Click(Sender: TObject);
begin
  Calendar1.NextYear;
end;

procedure TCalendarBrowser.BitBtn1Click(Sender: TObject);
begin
  Calendar1.PrevYear;
end;

procedure TCalendarBrowser.BitBtn2Click(Sender: TObject);
begin
  Calendar1.PrevMonth;
end;

procedure TCalendarBrowser.BitBtn3Click(Sender: TObject);
begin
  Calendar1.NextMonth;
end;

procedure TCalendarBrowser.FormCreate(Sender: TObject);
begin
  Calendar1Change(Self);
end;

end.
