unit Cust;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, DBGrids, StdCtrls, Buttons, ExtCtrls, DBCtrls, ComCtrls, Menus;

type
  TfmCustomers = class(TForm)
    DBGrid1: TDBGrid;
    Panel2: TPanel;
    DBNavigator1: TDBNavigator;
    BitBtn1: TBitBtn;
    StatusBar1: TStatusBar;
    MainMenu1: TMainMenu;
    AboutItem: TMenuItem;
    procedure Button1Click(Sender: TObject);
    procedure AboutItemClick(Sender: TObject);
  end;

var
  fmCustomers: TfmCustomers;

implementation

uses DM, FindCust, About;

{$R *.DFM}

procedure TfmCustomers.Button1Click(Sender: TObject);
begin
  fmFindCust.ShowModal;
  if fmFindCust.ModalResult = mrOk then
    DM2.Customer.GoToCurrent(DM2.CustLookup);
end;

procedure TfmCustomers.AboutItemClick(Sender: TObject);
var
  fmAbout : TFmAboutBox;
begin
  fmAbout := TfmAboutBox.Create(self);
  fmAbout.ShowModal;
  fmAbout.Free;
end;

end.
