{*************************************************}
{*  QuickReport for Delphi                       *}
{*  Demo Preview form                            *}
{*                                               *}
{*  Shows how to create your own custom preview  *}
{*  screen. Se the Main form on how to call this *}
{*  preview instead of the standard preview      *}
{*************************************************}

unit Demopre;

interface

uses
  SysUtils, Windows, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, Quickrep, Gauges, StdCtrls, Spin;

type
  TPrevForm = class(TForm)
    Panel1: TPanel;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    SpinEdit2: TSpinEdit;
    Label3: TLabel;
    Button1: TButton;
    Button2: TButton;
    QRPreview1: TQRPreview;
    procedure SpinEdit1Change(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure SpinEdit2Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PrevForm: TPrevForm;


implementation

{$R *.DFM}

procedure TPrevForm.SpinEdit1Change(Sender: TObject);
begin
   QRPreview1.PageNumber:=Spinedit1.Value;
end;

procedure TPrevForm.FormShow(Sender: TObject);
begin
   SpinEdit1.MaxValue:=QRPrinter.PageCount;
   SpinEdit1.MinValue:=1;
   SpinEdit1.Value:=1;
   QRPreview1.Zoom:=100;
end;

procedure TPrevForm.SpinEdit2Change(Sender: TObject);
begin
   QRPreview1.Zoom:=SpinEdit2.Value;
end;

procedure TPrevForm.Button1Click(Sender: TObject);
begin
   QRPreview1.ZoomToFit;
   SpinEdit2.Value:=QRPreview1.Zoom;
end;

procedure TPrevForm.Button2Click(Sender: TObject);
begin
   QRPreview1.ZoomToWidth;
   SpinEdit2.Value:=QRPreview1.Zoom;
end;

end.
