unit MainData;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBTables, DB;

type
  TDMMain = class(TDataModule)
    tbOrders: TTable;
    OrdersSoruce: TDataSource;
    tbOrdersOrderNo: TFloatField;
    tbOrdersCustNo: TFloatField;
    tbOrdersSaleDate: TDateTimeField;
    tbOrdersShipDate: TDateTimeField;
    tbOrdersEmpNo: TIntegerField;
    tbOrdersShipToContact: TStringField;
    tbOrdersShipToAddr1: TStringField;
    tbOrdersShipToAddr2: TStringField;
    tbOrdersShipToCity: TStringField;
    tbOrdersShipToState: TStringField;
    tbOrdersShipToZip: TStringField;
    tbOrdersShipToCountry: TStringField;
    tbOrdersShipToPhone: TStringField;
    tbOrdersShipVIA: TStringField;
    tbOrdersPO: TStringField;
    tbOrdersTerms: TStringField;
    tbOrdersPaymentMethod: TStringField;
    tbOrdersItemsTotal: TCurrencyField;
    tbOrdersTaxRate: TFloatField;
    tbOrdersFreight: TCurrencyField;
    tbOrdersAmountPaid: TCurrencyField;
    tbCustomer: TTable;
    tbCustomerCustNo: TFloatField;
    tbCustomerCompany: TStringField;
    tbCustomerAddr1: TStringField;
    tbCustomerAddr2: TStringField;
    tbCustomerCity: TStringField;
    tbCustomerState: TStringField;
    tbCustomerZip: TStringField;
    tbCustomerCountry: TStringField;
    tbCustomerPhone: TStringField;
    tbCustomerFAX: TStringField;
    tbCustomerTaxRate: TFloatField;
    tbCustomerContact: TStringField;
    tbCustomerLastInvoiceDate: TDateTimeField;
    tbEmployee: TTable;
    CustomerSource: TDataSource;
    EmployeeSource: TDataSource;
    tbOrdersCustomerName: TStringField;
    tbOrdersEmployeeLastName: TStringField;
    tbOrdersEmployeeFirstName: TStringField;
    tbOrdersEmployeeFullName: TStringField;
    procedure tbOrdersCalcFields(DataSet: TDataSet);
  end;

var
  DMMain: TDMMain;

implementation

{$R *.DFM}

procedure TDMMain.tbOrdersCalcFields(DataSet: TDataSet);
begin
  if tbOrdersEmployeeFirstName.isNull then
    tbOrdersEmployeeFullName.Value := tbOrdersEmployeeLastName.Value
  else
    tbOrdersEmployeeFullName.Value := tbOrdersEmployeeFirstName.Value + ' ' +
      tbOrdersEmployeeLastName.Value ;
end;

end.
