unit SysReg;

interface

uses DsgnIntf, Classes;

procedure Register;

implementation

uses SysUtils, Dialogs, FileCtrl, FiltEdit, StdCtrls, ExtCtrls, LibConst,
  MPlayer, Forms;


procedure Register;
begin
  RegisterComponents(LoadStr(srDialogs), [TOpenDialog, TSaveDialog, TFontDialog,
    TColorDialog, TPrintDialog, TPrinterSetupDialog, TFindDialog,
    TReplaceDialog]);
  RegisterComponents(LoadStr(srSystem), [TTimer, TPaintBox, TFileListBox,
    TDirectoryListBox, TDriveComboBox, TFilterComboBox, TMediaPlayer]);

  RegisterPropertyEditor(TypeInfo(string), TFilterComboBox, 'Filter', TFilterProperty);
  RegisterPropertyEditor(TypeInfo(string), TOpenDialog, 'Filter', TFilterProperty);
  RegisterPropertyEditor(TypeInfo(string), TMediaPlayer, 'Filename', TMPFilenameProperty);
end;

end.
